Katello - Bug #7343

Syncing an iso repo throws error in foreman/production.log
09/03/2014 04:45 PM - Brad Buckingham

Status: Closed
Priority: Normal
Assignee: Brad Buckingham
Category: Web Ul
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1132576 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/463
9
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1132576
Description of problem:
Syncing an iso repo throws error in foreman/production.log

Version-Release number of selected component (if applicable):
GA Snap 6 - Satellite-6.0.4-RHEL-6-20140820.1

apr-util-ldap-1.3.9-3.el6_0.1.x86_64
candlepin-0.9.23-1.el6_5.noarch
candlepin-common-1.0.1-1.el6_5.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.9.23-1.el6_5.noarch
candlepin-tomcat6-0.9.23-1.el6_5.noarch
elasticsearch-0.90.10-6.el6sat.noarch
foreman-1.6.0.41-1.el6sat.noarch
foreman-compute-1.6.0.41-1.el6sat.noarch
foreman-gce-1.6.0.41-1.el6sat.noarch
foreman-libvirt-1.6.0.41-1.el6sat.noarch
foreman-ovirt-1.6.0.41-1.el6sat.noarch
foreman-postgresql-1.6.0.41-1.el6sat.noarch
foreman-proxy-1.6.0.29-1.el6sat.noarch
foreman-selinux-1.6.0.7-1.el6sat.noarch
foreman-vmware-1.6.0.41-1.el6sat.noarch
katello-1.5.0-29.el6sat.noarch
katello-ca-1.0-1.noarch
katello-certs-tools-1.5.6-1.el6sat.noarch
katello-installer-0.0.60-1.el6sat.noarch
openldap-2.4.23-34.el6_5.1.x86_64
openldap-devel-2.4.23-34.el6_5.1.x86_64
pulp-katello-0.3-3.el6sat.noarch
pulp-nodes-common-2.4.0-0.30.beta.el6sat.noarch
pulp-nodes-parent-2.4.0-0.30.beta.el6sat.noarch
pulp-puppet-plugins-2.4.0-0.30.beta.el6sat.noarch
pulp-puppet-tools-2.4.0-0.30.beta.el6sat.noarch
pulp-rpm-plugins-2.4.0-0.30.beta.el6sat.noarch
pulp-selinux-2.4.0-0.30.beta.el6sat.noarch
pulp-server-2.4.0-0.30.beta.el6sat.noarch
python-ldap-2.3.10-1.e16.x86_64
ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch

How reproducible:
Always

Steps to Reproduce:

1. Import manifest ( | used employee subscription)

2. Enable ISO Repo - | used "Red Hat Enterprise Linux 7 Server - Supplementary ISOs x86_64 7.0"
3. Sync the above repo and watch foreman/production.log

Actual results:

> /var/log/foreman/production.log <

Processing by Katello::SyncManagementController#sync as JS

Parameters: {"utf8"=>"Ll", "authenticity_token"=>"taDQfpCrEWoaTVopDLwsCK3qz9zI+rji20rTMJtXS0g=", "sync_status_url"=>"",
"repoids"=>["152"], "commit"=>"Synchronize Now"}

Completed 200 OK in 748ms (Views: 0.7ms | ActiveRecord: 49.4ms)

Served asset /katello/ui-bg_flat_75_ffffff_40x100.png - 304 Not Modified (0ms)

Served asset /katello/ui-bg_highlight-soft_80_e0e0e0_1x100.png - 304 Not Modified (0ms)

Error in progress calculation

undefined method “[]' for nil:NilClass (NoMethodError)
/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/actions/pulp/repository/presenters/iso_presenter.rb:38:in “total_bytes
/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/actions/pulp/repository/presenters/iso_presenter.rb:21:in “progress'
/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/actions/pulp/repository/sync.rb:48:in “run_progress'
/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action/progress.rb:17:in “block in run'
/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action/progress.rb:33:in “ensure in with_progress_calculation’
/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action/progress.rb:32:in “with_progress_calculation’
/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action/progress.rb:16:in “run’
/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/middleware/stack.rb:22:in “call’
/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/middleware/stack.rb:26:in “pass’
/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/middleware.rb:16:in “pass’
/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/actions/middleware/keep_locale.rb:24:in “block in run’
/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/actions/middleware/keep_locale.rb:35:in “with_locale'
/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/actions/middleware/keep_locale.rb:24:in “run'
/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/middleware/stack.rb:22:in “call’
/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/middleware/world.rb:30:in “execute'
/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action.rb:442:in “block (2 levels) in execute_run'
/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action.rb:441:in “catch’
/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action.rb:441:in “block in execute_run'
/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action.rb:365:in “call’
/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action.rb:365:in “block in with_error_handling'
/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action.rb:365:in “catch'
/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action.rb:365:in “with_error_handling'
/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action.rb:436:in “execute_run'
/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action.rb:230:in “execute'

Expected results:
No error in logs?

Additional info:

Associated revisions

Revision bce83fba - 09/03/2014 04:46 PM - Brad Buckingham
fixes #7343 / BZ 1132576 - iso sync - fix issue where progress report not available yet

This is to address the issue where 'task_progress_details' returned
nil due to the pulp response not yet containing the progress report.

Revision b7189ae0 - 09/04/2014 01:58 PM - Brad Buckingham
Merge pull request #4639 from bbuckingham/issue-7343

fixes #7343 / BZ 1132576 - iso sync - fix issue where progress report not available yet

History

#1 - 09/03/2014 04:45 PM - Brad Buckingham
- Assignee set to Brad Buckingham

- Triaged changed from No to Yes
#2 - 09/03/2014 04:49 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 55

- Pull request https://github.com/Katello/katello/pull/4639 added
- Pull request deleted ()

#3 - 09/04/2014 02:02 PM - Brad Buckingham
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|bce83fbaa55a5¢ca92557c52600311a73065291d5.

#4 - 09/15/2014 02:22 PM - Eric Helms

- translation missing: en.field_release set to 13
